## unyt 2.8.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = unyt
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
.DEFAULT:
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf modules/

=== docs/requirements.txt ===
numpy
sympy
matplotlib
sphinx

=== debian/changelog ===
unyt (2.8.0-2) unstable; urgency=medium

  * nochange sourceonly reupload
  * Add CI unit test

 -- Ole Streicher <olebole@debian.org>  Sat, 06 Nov 2021 14:48:54 +0100

unyt (2.8.0-1) unstable; urgency=medium

  * Initial Debian package. Closes: #992999

 -- Ole Streicher <olebole@debian.org>  Thu, 26 Aug 2021 08:46:26 +0200

=== debian/control ===
Source: unyt
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper-compat (= 13),
               python3-setuptools,
               python3-all,
               dh-python,
               python3-numpy,
               python3-pytest,
               python3-sympy
Standards-Version: 4.6.0
Homepage: https://github.com/yt-project/unyt
Vcs-Browser: https://salsa.debian.org/python-team/modules/unyt
Vcs-Git: https://salsa.debian.org/python-team/modules/unyt.git
Rules-Requires-Root: no

Package: python3-unyt
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python package for handling numpy arrays with units
 Often writing code that deals with data that has units can be
 confusing. A function might return an array but at least with plain
 NumPy arrays, there is no way to easily tell what the units of the
 data are without somehow knowing a priori.
 .
 The unyt package (pronounced like “unit”) provides a subclass of
 NumPy’s ndarray class that knows about units.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=unyt
%:
	dh $@ --with python3 --buildsystem=pybuild

## unyt 2.9.2

=== debian/changelog ===
unyt (2.9.2-1) unstable; urgency=medium

  * New upstream version 2.9.2

 -- Ole Streicher <olebole@debian.org>  Fri, 22 Jul 2022 10:28:00 +0200

unyt (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0
  * Add pickle test file to package data
  * Push Standards-Version to 4.6.1. No changes needed
  * Update VCS URLs

 -- Ole Streicher <olebole@debian.org>  Sun, 17 Jul 2022 14:22:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: unyt
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper-compat (= 13),
                python3-setuptools,
                python3-all,
@@ -10,10 +10,10 @@
                python3-numpy,
                python3-pytest,
                python3-sympy
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/unyt
+Vcs-Git: https://salsa.debian.org/python-team/packages/unyt.git
 Homepage: https://github.com/yt-project/unyt
-Vcs-Browser: https://salsa.debian.org/python-team/modules/unyt
-Vcs-Git: https://salsa.debian.org/python-team/modules/unyt.git
 Rules-Requires-Root: no
 
 Package: python3-unyt

## unyt 2.9.3

=== debian/changelog ===
unyt (2.9.3-2) unstable; urgency=medium

  * Fix a test to work on numpy 1.24 (Closes: #1027224)

 -- Ole Streicher <olebole@debian.org>  Mon, 09 Jan 2023 09:50:37 +0100

unyt (2.9.3-1) unstable; urgency=medium

  * New upstream version 2.9.3
  * Push Standards-Version to 4.6.2. No changes

 -- Ole Streicher <olebole@debian.org>  Wed, 21 Dec 2022 08:46:28 +0100

unyt (2.9.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Submit, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:02:57 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-numpy,
                python3-pytest,
                python3-sympy
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/unyt
 Vcs-Git: https://salsa.debian.org/python-team/packages/unyt.git
 Homepage: https://github.com/yt-project/unyt

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=unyt
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && pytest-3 --pyargs unyt
Depends: @, python3-pytest

## unyt 2.9.5

=== debian/changelog ===
unyt (2.9.5-1) unstable; urgency=medium

  * New upstream version 2.9.5
  * Drop Fix-a-test-to-work-on-numpy-1.24.patch: applied upstream

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Jun 2023 16:40:24 +0200

## unyt 3.0.1

=== docs/requirements.txt ===


=== debian/changelog ===
unyt (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1

 -- Ole Streicher <olebole@debian.org>  Fri, 03 Nov 2023 10:11:22 +0100

unyt (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0
  * Rediff patches
  * Add new build dependencies
  * Ignore test that fails on installed package

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Nov 2023 09:57:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,14 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               pybuild-plugin-pyproject,
+               python3-all,
+               python3-numpy,
+               python3-packaging,
+               python3-pytest,
                python3-setuptools,
-               python3-all,
-               dh-python,
-               python3-numpy,
-               python3-pytest,
+               python3-setuptools-scm,
                python3-sympy
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/unyt

## unyt 3.0.2

=== debian/changelog ===
unyt (3.0.2-2) unstable; urgency=medium

  * Mark test as failing in later Sympy versions (Closes: #1073432)
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 28 Jun 2024 21:32:17 +0200

unyt (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 15 Mar 2024 08:20:56 +0100

## unyt 3.0.3

=== debian/changelog ===
unyt (3.0.3-2) unstable; urgency=medium

  * Team upload.
  * Patches: NumPy 2.1 support. (Closes: #1095104)
  * Clean _version.py.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 03 Feb 2025 18:08:54 -0400

unyt (3.0.3-1) unstable; urgency=medium

  * New upstream version 3.0.3
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Jul 2024 14:29:51 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-sympy
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/unyt
 Vcs-Git: https://salsa.debian.org/python-team/packages/unyt.git
 Homepage: https://github.com/yt-project/unyt

## unyt 3.0.4

=== debian/changelog ===
unyt (3.0.4-1) unstable; urgency=medium

  * New upstream version 3.0.4
  * Removed patches that were applied upstream
  * Push Standards-Version to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Mar 2025 21:15:21 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-sympy
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/unyt
 Vcs-Git: https://salsa.debian.org/python-team/packages/unyt.git
 Homepage: https://github.com/yt-project/unyt

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/unyt-$1\.tar\.gz/ \
  https://github.com/yt-project/unyt/tags .*/v?(\d\S+)\.tar\.gz

## unyt 3.1.0

=== debian/changelog ===
unyt (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * Drop Add-pickle-test-file-to-package-data.patch: no longer required
  * Push Standards-Version to 4.7.3, no changes needed
  * d/u/metadata: Remove deprecated Contact field
  * Switch build system to flit
  * Rename Gitlab CI file to d/salsa-ci.yml

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Jan 2026 09:01:13 +0100

=== debian/control ===
Source: unyt
Standards-Version: 4.7.3
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ole Streicher <olebole@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 flit,
 pybuild-plugin-pyproject,
 python3-all,
 python3-numpy,
 python3-packaging,
 python3-pytest,
 python3-sympy,
Vcs-Browser: https://salsa.debian.org/python-team/packages/unyt
Vcs-Git: https://salsa.debian.org/python-team/packages/unyt.git
Homepage: https://github.com/yt-project/unyt
Rules-Requires-Root: no

Package: python3-unyt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python package for handling numpy arrays with units
 Often writing code that deals with data that has units can be
 confusing. A function might return an array but at least with plain
 NumPy arrays, there is no way to easily tell what the units of the
 data are without somehow knowing a priori.
 .
 The unyt package (pronounced like “unit”) provides a subclass of
 NumPy’s ndarray class that knows about units.
